#pragma once

#include <maps/libs/json/include/builder.h>
#include <maps/wikimap/mapspro/libs/assessment/include/sample_feed.h>
#include <maps/wikimap/mapspro/libs/assessment/include/unit_feed.h>

namespace maps::wiki::socialsrv::serialize {

void jsonize(json::ObjectBuilder& builder, const assessment::Unit& unit);
void jsonize(json::ObjectBuilder& builder, const assessment::Grade& grade);
void jsonize(json::ArrayBuilder& builder, const assessment::GradedUnitVec& gradedUnits);
void jsonize(json::ObjectBuilder& builder, const assessment::UnitFeed& unitFeed);
void jsonize(json::ObjectBuilder& builder, const assessment::SampleInfo& sampleInfo);
void jsonize(json::ObjectBuilder& builder, const assessment::SampleFeed& sampleFeed);
void jsonize(json::ObjectBuilder& builder, const assessment::SampleInfo& sampleInfo);

} // namespace maps::wiki::socialsrv::serialize
